const express = require('express');
const router = express.Router();
const validation = require('../validations/userValidation');
const userController = require('../controllers/userController');
router.post('/login',validation.loginValidation, userController.login);
router.get('/users', authorizatoin, getAllUsers);
router.post('/adduser',authorizatoin,validation.userValidation, createUser);
router.post('/addroom', authorizatoin, createRoom);
router.get('/rooms', authorizatoin, getAllRooms);
router.get('rooms/:id', authorizatoin, getRoomById);

module.exports = router;